/* lock.h - interface for autolocking a CableCrypted signal
 *
 * Copyright (C) 2003 Rik Snel <snel@phys.uu.nl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; only version 2 of the License, not
 * any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
 *
 * $Id: lock.h 48 2004-07-01 16:18:48Z rsnel $
 */
#ifndef INCLUDE_CC2Y4M_LOCK_H
#define INCLUDE_CC2Y4M_LOCK_H 1

#include "bttv.h"

typedef struct {
	bttv_t *bttv;

	/* lock aquisition and keeping */
	int fieldcount;
	int lastref;
	int lasttime;
	int errors;
	int state;
	double avgrate;
	int fframe;
	int stabilize;
	int lframe;
	int offset;
	char *in;
	pthread_mutex_t avail;
	pthread_mutex_t avail2;
	pthread_cond_t cavail;
} lock_t;

void lock_init(lock_t*, bttv_t*);

void lock_thread(void *data);

char *lock_getnext(lock_t*, int*);

void lock_finished(lock_t*);

int refpoint_m1(lock_t*, unsigned char*, int, int);

int refpoint_m2(lock_t*, unsigned char*, int, int);

#endif /* INCLUDE_CC2Y4M_LOCK_H */
